﻿using System;
using System.Collections.Generic;


namespace XamGridAddingColumnPersistedConfig
{

    public class TestDataList : List<TestData>
    {
        public TestDataList(int count)
        {
            for (var i = 0; i < count; i++)
            {
                Add(new TestData(DateTime.Now, i));
            }
        }
    }

    public class TestData
    {
        public DateTime Year { get; set; }
        public string Name { get; set; }
        public string Street { get; set; }

        public DateTime Birthday { get; set; }

        public DateTime Wedding { get; set; }

        public TestData(DateTime year, int i)
        {
            Year = year;
            Name = i + "Oktoberfest" + i;
            Street = i + 123 + "Franz-Street" + i;
            Birthday = year.AddYears(-i);
            Wedding = year.AddYears(i);
        }

        public TestData()
        {
            
        }
    }
}
